Download it now!
Bug 120565 - Wrong initialization of Bitmap tab page in Area dialog
Summary: Wrong initialization of Bitmap tab page in Area dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Patrik Vas
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
: 116900 (view as bug list)
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2018-10-13 14:43 UTC by Tamás Zolnai
Modified: 2019-01-26 13:29 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot showing the dialog after reopening (139.33 KB, image/png)
2018-10-13 14:43 UTC, Tamás Zolnai
Details
Screenshot showing the dialog after reopening (133.11 KB, image/png)
2018-10-13 14:45 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2018-10-13 14:43:14 UTC
Description:
On area dialog user can set the different settings about the background of a shape. User can set a color background, a bitmap, a pattern, etc.
The issue here is that Bimap tab page seems not be set correctly when opening it, after the user used Scale checkbox earlier. The scale is set with wrong unit, not with percentage, but with cm.

Steps to Reproduce:
1. Open Writer
2. Insert a Shape
3. Right click on the shape -> Area
4. Set a bitmap fill, Style: Custom position / size
5. Check Scale checkbox -> width and height unit becomes percentage
6. Close dialog with pushing OK button
7. Reopen the dialog -> width and height unit is cm (or any other absolute unit)

Actual Results:
When the dialog opens the relative width/height values are displayed as absolute values.

Expected Results:
When the dialog opens the relative width/height values should be set as percentage.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Tamás Zolnai 2018-10-13 14:43:57 UTC
Created attachment 145675 [details]
Screenshot showing the dialog after reopening
Comment 2 Tamás Zolnai 2018-10-13 14:45:43 UTC
Created attachment 145676 [details]
Screenshot showing the dialog after reopening
Comment 3 Tamás Zolnai 2018-10-13 14:49:43 UTC
Let's turn this into a easy hack. The code is here:
cui/source/tabpages/tpbitmap.cxx
Comment 4 Patrik Vas 2018-12-31 15:00:29 UTC
WAiting for code review
https://gerrit.libreoffice.org/65771/
Comment 5 Commit Notification 2018-12-31 19:59:26 UTC
Patrik Vas committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f6de86ec2a5478b5bd5849bba367f6d86aecf40b%5E%21

tdf#120565: Fix scale bug in Bitmap Area dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Katarina Behrens (Inactive) 2019-01-23 09:11:35 UTC
*** Bug 116900 has been marked as a duplicate of this bug. ***
Comment 7 Jean-Baptiste Faure 2019-01-23 21:34:28 UTC
Please, could backport the fix to LO 6.2 and 6.2.0 branches ?

Best regards. JBF
Comment 8 BogdanB 2019-01-26 13:29:02 UTC
Verified. Fixed on 6.3
Version: 6.3.0.0.alpha0+
Build ID: 3424004cca7cb61043800f0ff0acc9de64768276
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-26_00:45:09
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded


I don't know about backporting to 6.2...